//
//  AFOpenGLView.h
//
//  Created by Ariel Feinerman on 1/28/10.
//  Copyright 2010 Alice Software Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AFTimer.h"

@class Scene;

@interface AFOpenGLView : NSOpenGLView <AFTimer> {

	Scene *scene;
}
@property(assign) Scene *scene;

- (void) reshape; 
- (void) drawRect: (NSRect) theRect; 
- (void) mouseMoved: (NSEvent *) theEvent;
- (void) mouseUp: (NSEvent *) theEvent;
- (void) mouseDown: (NSEvent *) theEvent;
- (void) rightMouseUp: (NSEvent *) theEvent;
- (void) rightMouseDown: (NSEvent *) theEvent;
- (void) scrollWheel: (NSEvent *) theEvent;
- (void) keyUp: (NSEvent *) theEvent;
- (void) keyDown: (NSEvent *) theEvent;
@end
