//
//  AFController.h
//
//  Created by Ariel Feinerman on 1/28/10.
//  Copyright 2010 Alice Software Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern BOOL FullScreen;

extern void Sys_CriticalAlert(NSString *text);

@class Scene, AFOpenGLView, AFTimer;

@interface AFController : NSObject {

	IBOutlet NSWindow *win;
	
	NSOpenGLContext *fullScreenContext, *viewContext;
	
	Scene *scene;
	AFOpenGLView *view;
	AFTimer *timer;
}
- (void) awakeFromNib;
// Enter or exit FullScreen
- (void) enterFullScreen;
- (void) exitFullScreen;
// 
- (void) dealloc;
@end
