//
//  AFTimer.h
//
//  Created by Ariel Feinerman on 1/28/10.
//  Copyright 2010 Alice Software Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol AFTimer <NSObject>

- (void) change;

@end


@interface AFTimer : NSObject {
	
	NSTimer *timer;
	id <AFTimer> target;
	NSTimeInterval time;
}
- (id) initWithTarget: (id <AFTimer>) theTarget;
- (BOOL) setTarget: (id <AFTimer>) theTarget; 
- (void) fire: (NSTimer *) theTimer; 
- (void) begin;
- (void) stop;
@end
