/*
 * ---------------- www.spacesimulator.net --------------
 *   ---- Space simulators and 3d engine tutorials ----
 *
 * Author: Damiano Vitulli
 *
 * This program is released under the BSD licence
 * By using this program you agree to licence terms on spacesimulator.net copyright page
 *
 * Tutorial 3: 3d engine - Texture mapping with OpenGL!
 *
 * Porting to cocoa by: Ariel Feinerman on 3/15/10 (arielfeinerman@gmail.com).
 * 
 * File header: texture.h
 *  
 */


/**********************************************************
 *
 * VARIABLES DECLARATION
 *
 *********************************************************/

/**********************************************************
 *
 * FUNCTION LoadBitmap(NSString *)
 *
 * This function loads a bitmap file and return the OpenGL reference ID to use that texture
 *
 *********************************************************/

#import <Cocoa/Cocoa.h>

extern int LoadBitmap(NSString *filename);
